$primary-font: "Open Sans";
$primary-color: white;
$green-color: #26C17E;

%font-pattern {
  font-family: $primary-font;
  font-size: 16px;
  font-style: normal;
  font-weight: normal;
  line-height: 120%;
}

.timeline-container {
  margin-top: 50px;
}

.timeline {
  min-height: 30vh;
  max-height: 80vh;
  overflow: auto;
  display: block;
  margin-top: 40px;
}

.timeline-date {
  font-family: $primary-font;
  font-style: normal;
  font-weight: bold;
}

.spinner {
  display: block;
}

.spinner i {
  font-style: italic;
}

.timeline-list {
  position: relative;
  padding: 15px;
}

.timeline-list ul {
  display: block;
  list-style-type: disc;
  margin-block-start: 1em;
  margin-block-end: 1em;
  margin-inline-start: 0px;
  margin-inline-end: 0px;
  padding-inline-start: 40px;
}

.timeline-list:before {
  background: $green-color;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 10px;
  width: 4px;
  content: "";
  margin-left: 18px;
}

.timeline-list li {
  display: flex;
  align-items: flex-start;
  margin-bottom: 10px;
}

li {
  display: list-item;
  text-align: -webkit-match-parent;
}

.timeline-list li .timeline-date {
  padding: 15px;
  background: $primary-color;
  position: relative;
  left: -15px;
  display: block;
}

.timeline-list li .timeline-event {
  position: relative;
  display: block;
}

.info {
  background: #eee;
  padding: 15px;
  display: block;
}

.info h3 {
  @extend %font-pattern;
  display: block;
  margin-block-end: 1em;
  margin-inline-start: 0px;
  margin-inline-end: 0px;
  font-weight: bold; 
}

.info p {
  @extend %font-pattern;
  font-size: 14px;
  line-height: 150%;
}

.timeline-list li .timeline-event:after {
  content: "";
  position: absolute;
  top: 15px;
  left: -10px;
  width: 0;
  height: 0;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  border-right: 10px solid #eee;
}

.timeline-error {
  color: red;
  text-align: center;
  margin-top: 200px;
  margin-bottom: 200px;
}
